# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::Font Class Reference

A font to be used with a Text renderable. More...

`#include <Font.hpp>`

Inheritance diagram for vl::Font:

List of all members.

## Public Member Functions
| ~Font ()
virtual const char * | className ()
| Returns the name of the class.
bool | operator< (const Font &other) const
const String & | filePath () const
void | loadFont (const String &path)
| Loads a font using fileSystem()locateFile().
int | size () const
void | setSize (int size)
Glyph * | glyph (int character)
void | setSmooth (bool smooth)
bool | smooth () const
void | releaseFreeTypeData ()
## Protected Attributes
String | mFilePath
std::map< int, ref< Glyph > > | mGlyphMap
FT_Face | mFT_Face
std::vector< unsigned char > | mMemoryFile
int | mSize
float | mHeight
bool | mSmooth
## Friends
class | Text
class | FontManager

## Detailed Description

A font to be used with a Text renderable.

## Constructor & Destructor Documentation

vl::Font::~Font | ( |  | ) |

## Member Function Documentation

virtual const char* vl::Font::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

bool vl::Font::operator< | ( | const Font & | other | ) | const`[inline]`

const String& vl::Font::filePath | ( |  | ) | const`[inline]`

void vl::Font::loadFont | ( | const String & | path | ) |

Loads a font using fileSystem()locateFile().

int vl::Font::size | ( |  | ) | const`[inline]`

void vl::Font::setSize | ( | int | size | ) |

Glyph* vl::Font::glyph | ( | int | character | ) |

void vl::Font::setSmooth | ( | bool | smooth | ) |

bool vl::Font::smooth | ( |  | ) | const`[inline]`

void vl::Font::releaseFreeTypeData | ( |  | ) |

## Friends And Related Function Documentation

friend class Text`[friend]`

friend class FontManager`[friend]`

## Member Data Documentation

String vl::Font::mFilePath`[protected]`

std::map< int, ref<Glyph> > vl::Font::mGlyphMap`[protected]`

FT_Face vl::Font::mFT_Face`[protected]`

std::vector<unsigned char> vl::Font::mMemoryFile`[protected]`

int vl::Font::mSize`[protected]`

float vl::Font::mHeight`[protected]`

bool vl::Font::mSmooth`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Font.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:28:57 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.